Subject: [bug#47852] [PATCH 1/2 v6] gnu: Add sc-im.

From: jgart <[email-masked]>
Date: Mon, 22 Nov 2021 18:23:56 -0500

On Mon, 22 Nov 2021 16:20:27 -0500 Leo Famulari <[email-masked]> wrote:
> On Thu, Nov 18, 2021 at 08:22:18PM -0500, jgart via Guix-patches via wrote:
> >     * gnu/packages/spreadsheet-apps.scm: New file.
> >     * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
> 
> Thanks!
> 
> I pushed as 10fad03fcf6fdd2edbdab5f939e3c0edb11a88e2 with the following
> changes:
> 
> * I named the module (gnu packages spreadsheet)
> * I removed some unused or duplicated module imports
> * I removed the visidata module from GNU_SYSTEM_MODULES

Oops I had forgotten to do that.

> * And I specified the licenses without a prefix, since they are not
> needed in this module yet. We only need to prefix licenses when there is
> a namespace collision between licenses and same-named packages, for
> example with 'expat'.

That's good to know. I always wondered what was the reason for prefixing licenses... Now I know :)

Thank you! Much appreciated.

all best,

jgart